# Version SVN: $Id: defaults.yml 355 2018-01-30 09:31:09Z sven.poeche $
defaults:
  api:
    name:                             'API'
    description:                      ''
    weight:                           -9188
    params:
      api_enabled:
        type:                         boolean
        value:                        false
        name:                         'API enabled'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      api_support_email:
        type:                         string
        value:                        support@<?php print isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : shell_exec('hostname'); ?>    # Workaround for new line
        name:                         'API support e-mail address'
        description:                  'This is the email address that is displayed at API messages'
        editable:                     true
        system:                       false
        nullable:                     false
      api_format:
        type:                         set
        value:                        'xml'
        set:                          { xml: 'XML', json: 'JSON' }
        name:                         'API default format'
        description:                  'Default value of the response format'
        editable:                     true
        system:                       false
        nullable:                     false
      api_token_default_lifetime:
        type:                         integer
        value:                        '0'
        name:                         'API token default lifetime'
        description:                  'Default lifetime for API tokens in seconds (Default: @default, 0 = unlimited lifetime)'
        editable:                     true
        system:                       false
        nullable:                     false
      api_max_symbol_generate:
        type:                         integer
        value:                        '32'
        name:                         'Automatic API key length'
        description:                  'Default character length of the auto-generated API key'
        editable:                     true
        system:                       false
        nullable:                     false  
      api_media_cdata:
        type:                         boolean
        value:                        false
        name:                         'Enable CDATA wrapping for media urls'
        description:                  'Hint: You have to enable this option, if you are using direct media delivery without framework access'
        editable:                     true
        system:                       false
        nullable:                     false
